petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMForestGetComputeAdaptivitySF

Get whether transfer PetscSFs should be computed relating the cells of the pre-adaptation forest to the post-adaptiation forest. After DMSetUp() is called, these transfer PetscSFs can be accessed with DMForestGetAdaptivitySF().

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestGetComputeAdaptivitySF(DM dm, PetscBool *computeSF)

Not collective

### Input Parameter

dm -the post-adaptation forest

### Output Parameter

computeSF -default PETSC_TRUE

### See Also

DMForestSetComputeAdaptivitySF(), DMForestGetAdaptivitySF()

### Level

advanced

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages